env:
  es2021: true
  node: true
globals:
  NodeJS: readonly
extends:
  - airbnb-base
settings:
  import/extensions:
    - .js
    - .ts
  import/resolver:
    node:
      extensions:
        - .js
        - .ts
  node:
    tryExtensions:
      - .js
      - .ts
parser: "@typescript-eslint/parser"
parserOptions:
  ecmaVersion: 12
  sourceType: module
plugins:
  - "@typescript-eslint"
rules:
  no-console:
    - warn
    - allow:
        - error
        - log
        - info
        - table
  no-multiple-empty-lines:
    - error
    - max: 2
      maxEOF: 0
      maxBOF: 0
  import/order:
    - error
    - newlines-between: never
      alphabetize:
        order: asc
        caseInsensitive: true
      groups:
        - builtin
        - external
        - internal
        - parent
        - sibling
        - index
      pathGroups:
        - pattern: "@/*"
          group: internal
        - pattern: "@*"
          group: internal
          position: before
  import/newline-after-import:
    - error
    - count: 2
  import/extensions:
    - error
    - ignorePackages
    - js: never
      ts: never
